Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class NotifyStep

    java.lang.Object
      com.pmease.quickbuild.step.Step
          com.pmease.quickbuild.step.NotifyStep

All Implemented Interfaces:
  java.io.Serializable

public class NotifyStep
extends Step

This step notifies proper person of current build result.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.pmease.quickbuild.step.Step
`DEFAULT_NAME`

Constructor Summary
`NotifyStep()`

Method Summary
`java.lang.String` | `getNotifierName()` OGNL: Select name of the notifier to use.
`org.apache.tapestry.form.IPropertySelectionModel` | `getNotifierNameSelectionModel()`
`java.util.List` | `getReceivers()` Select users or groups who will receive this notification.
`org.apache.tapestry.form.IPropertySelectionModel` | `getReceiversSelectionModel()`
`protected void` | `run(Build build)` Run this step in specified build context.
`void` | `setNotifierName(java.lang.String notifierName)`
`void` | `setReceivers(java.util.List receivers)`

Methods inherited from class com.pmease.quickbuild.step.Step
`equals, getEditor, getName, getNameChoices, getParent, getStatus, getStepNecessaryCondition, getStepNecessaryConditionChoices, hashCode, isFailed, isIdle, isRunning, isSuccessful, setEditor, setName, setStatus, setStepNecessaryCondition, trigger, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyStep

    public NotifyStep()

Method Detail

### run

    protected void run(Build build)

  Description copied from class: `Step`
  Run this step in specified build context.

  Specified by:
    `run` in class `Step`
  Parameters:
    `build` -

### getNotifierName

    public java.lang.String getNotifierName()

  OGNL: Select name of the notifier to use.

  Returns:

### setNotifierName

    public void setNotifierName(java.lang.String notifierName)

### getNotifierNameSelectionModel

    public org.apache.tapestry.form.IPropertySelectionModel getNotifierNameSelectionModel()

### getReceivers

    public java.util.List getReceivers()

  Select users or groups who will receive this notification.

  Returns:

### setReceivers

    public void setReceivers(java.util.List receivers)

### getReceiversSelectionModel

    public org.apache.tapestry.form.IPropertySelectionModel getReceiversSelectionModel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.